curl --request GET \
--url https://api.hyperline.co/v1/customers/{id}/valuation \
--header 'Authorization: Bearer <token>'{
"by_currency": [
{
"currency": "USD",
"subscriptions": [
{
"subscription_id": "sub_abc123",
"valuation": {
"contract_value": {
"total": 120000,
"invoiced": 30000,
"remaining": 90000,
"by_phase": [
{
"phase_id": "subpha_abc123",
"phase_name": "Standard",
"phase_type": "standard",
"starts_at": "2025-01-01T00:00:00.000Z",
"ends_at": "2025-12-31T23:59:59.999Z",
"amount": 120000
}
],
"by_period": [
{
"period": "2025",
"starts_at": "2025-01-01T00:00:00.000Z",
"ends_at": "2025-12-31T23:59:59.999Z",
"amount": 120000
}
]
},
"recurring_contract_value": {
"total": 100000,
"by_phase": [
{
"phase_id": "subpha_abc123",
"phase_name": "Standard",
"starts_at": "2025-01-01T00:00:00.000Z",
"ends_at": "2025-12-31T23:59:59.999Z",
"annual_value": 100000,
"phase_amount": 100000
}
],
"by_period": [
{
"period": "2025",
"starts_at": "2025-01-01T00:00:00.000Z",
"ends_at": "2025-12-31T23:59:59.999Z",
"amount": 120000
}
]
},
"arr": {
"fixed": 100000,
"variable": {
"current": 5000,
"averaged": 4500
}
}
}
}
],
"totals": {
"contract_value": {
"total": 120000,
"invoiced": 30000,
"remaining": 90000
},
"recurring_contract_value": {
"total": 100000
},
"arr": {
"fixed": 100000,
"variable": {
"current": 5000,
"averaged": 4500
}
},
"by_period": [
{
"period": "2025",
"starts_at": "2025-01-01T00:00:00.000Z",
"ends_at": "2025-12-31T23:59:59.999Z",
"amount": 120000
}
]
}
}
]
}Compute aggregated valuation metrics across all active subscriptions for a customer.
curl --request GET \
--url https://api.hyperline.co/v1/customers/{id}/valuation \
--header 'Authorization: Bearer <token>'{
"by_currency": [
{
"currency": "USD",
"subscriptions": [
{
"subscription_id": "sub_abc123",
"valuation": {
"contract_value": {
"total": 120000,
"invoiced": 30000,
"remaining": 90000,
"by_phase": [
{
"phase_id": "subpha_abc123",
"phase_name": "Standard",
"phase_type": "standard",
"starts_at": "2025-01-01T00:00:00.000Z",
"ends_at": "2025-12-31T23:59:59.999Z",
"amount": 120000
}
],
"by_period": [
{
"period": "2025",
"starts_at": "2025-01-01T00:00:00.000Z",
"ends_at": "2025-12-31T23:59:59.999Z",
"amount": 120000
}
]
},
"recurring_contract_value": {
"total": 100000,
"by_phase": [
{
"phase_id": "subpha_abc123",
"phase_name": "Standard",
"starts_at": "2025-01-01T00:00:00.000Z",
"ends_at": "2025-12-31T23:59:59.999Z",
"annual_value": 100000,
"phase_amount": 100000
}
],
"by_period": [
{
"period": "2025",
"starts_at": "2025-01-01T00:00:00.000Z",
"ends_at": "2025-12-31T23:59:59.999Z",
"amount": 120000
}
]
},
"arr": {
"fixed": 100000,
"variable": {
"current": 5000,
"averaged": 4500
}
}
}
}
],
"totals": {
"contract_value": {
"total": 120000,
"invoiced": 30000,
"remaining": 90000
},
"recurring_contract_value": {
"total": 100000
},
"arr": {
"fixed": 100000,
"variable": {
"current": 5000,
"averaged": 4500
}
},
"by_period": [
{
"period": "2025",
"starts_at": "2025-01-01T00:00:00.000Z",
"ends_at": "2025-12-31T23:59:59.999Z",
"amount": 120000
}
]
}
}
]
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Period granularity for the breakdown. When provided, contract value and recurring contract value include a by_period array.
year, quarter, month "year"
Valuations grouped by currency.
Show child attributes
Was this page helpful?